Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.gen.ide
Class MetaABMBuilder

    java.lang.Object
      org.eclipse.core.internal.events.InternalBuilder
          org.eclipse.core.resources.IncrementalProjectBuilder
              org.eclipse.amp.amf.gen.ide.AbstractMWEBuilder
                  org.eclipse.amp.amf.gen.ide.MetaABMBuilder

All Implemented Interfaces:
  org.eclipse.core.runtime.IExecutableExtension

Direct Known Subclasses:
  AscapeModelBuilder, DocumentModelBuilder, EscapeModel3DBuilder, EscapeModelBuilder, InterfaceModelBuilder, KeyModelBuilder, LibraryDocsBuilder, SDJavaBuilder, TestCaseModelBuilder, TextModelBuilder

    public class MetaABMBuilder

extends AbstractMWEBuilder

general support for generating project artifacts (code, documentation, etc..) from AMF meta-models.

Author:
  milesparker

Field Summary
`static java.lang.String` | `BUILDER_ID`

Fields inherited from class org.eclipse.amp.amf.gen.ide.AbstractMWEBuilder
`builder, currentMonitor, workflowPaths`

Fields inherited from class org.eclipse.core.resources.IncrementalProjectBuilder
`AUTO_BUILD, CLEAN_BUILD, FULL_BUILD, INCREMENTAL_BUILD`

Constructor Summary
`MetaABMBuilder()`
`MetaABMBuilder(java.lang.String taskDescription, java.lang.String pluginName, java.lang.String[] workflowPaths, boolean createMarkers)`
`MetaABMBuilder(java.lang.String taskDescription, java.lang.String pluginName, java.lang.String workflowPath, boolean createMarkers)`

Method Summary
`static MetaABMBuilder` | `getBaseBuilderDefault()` Returns the shared instance
`boolean` | `isCreateMarkers()`
`void` | `loadPlugins()`
`void` | `loadPropertiesFromPrefs()`
`void` | `loadPropertiesFromResource(org.eclipse.core.resources.IResource resource)`
`void` | `setCreateMarkers(boolean createMarkers)`

Methods inherited from class org.eclipse.amp.amf.gen.ide.AbstractMWEBuilder
`addURL, build, fullBuild, generateModel, getGenProperties, getResourceLoader, handleModifiedResource, incrementalBuild, isReportErrors, setCurrentMonitor, setGenProperties, setReportErrors`

Methods inherited from class org.eclipse.core.resources.IncrementalProjectBuilder
`clean, forgetLastBuiltState, getBuildConfig, getCommand, getContext, getDelta, getProject, getRule, getRule, hasBeenBuilt, isInterrupted, needRebuild, rememberLastBuiltState, setInitializationData, startupOnInitialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BUILDER_ID

    public static final java.lang.String BUILDER_ID

See Also:
  Constant Field Values

Constructor Detail

### MetaABMBuilder

    public MetaABMBuilder(java.lang.String taskDescription,
                          java.lang.String pluginName,
                          java.lang.String workflowPath,
                          boolean createMarkers)

### MetaABMBuilder

    public MetaABMBuilder(java.lang.String taskDescription,
                          java.lang.String pluginName,
                          java.lang.String[] workflowPaths,
                          boolean createMarkers)

### MetaABMBuilder

    public MetaABMBuilder()

Method Detail

### loadPropertiesFromPrefs

    public void loadPropertiesFromPrefs()

  Overrides:
    `loadPropertiesFromPrefs` in class `AbstractMWEBuilder`

### loadPlugins

    public void loadPlugins()

  Specified by:
    `loadPlugins` in class `AbstractMWEBuilder`

### loadPropertiesFromResource

    public void loadPropertiesFromResource(org.eclipse.core.resources.IResource resource)

  Overrides:
    `loadPropertiesFromResource` in class `AbstractMWEBuilder`

### getBaseBuilderDefault

    public static MetaABMBuilder getBaseBuilderDefault()

  Returns the shared instance

  Returns:
    the shared instance

### isCreateMarkers

    public boolean isCreateMarkers()

### setCreateMarkers

    public void setCreateMarkers(boolean createMarkers)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD